import { lang } from "../index.js";
import AbstractAuthentificateView from "./abstracts/AbstractAuthentifiedView.js";

export default class extends AbstractAuthentificateView {
    constructor(params) {
        super(params, lang.get('homeWindowTitle', 'Home'));
        this.redirect_url = "/login"
	}

    async getHtml() {
        return /* HTML */ `
			<h1>${lang.get('homeTitle', 'Home')}</h1>
            <a href="/matchmaking" data-link>${lang.get('homeOnline', 'Play online')}</a>
            <a href="/games/offline" data-link>${lang.get('homeOffline', 'Play offline')}</a>
            <a href="/me" data-link>${lang.get('homeMe', 'Me')}</a>
            <a href="/logout" data-link>${lang.get('homeLogout', 'Logout')}</a>
        `;
    }
}
